---
apiVersion: gateway.networking.k8s.io/v1
kind: HTTPRoute
metadata:
  name: ghp-route
  namespace: ghp
  annotations:
    argocd.argoproj.io/sync-wave: "2"
spec:
  hostnames:
    - ghp.unkin.net
    - ghp.k8s.syd1.au.unkin.net
  parentRefs:
    - group: gateway.networking.k8s.io
      kind: Gateway
      name: ghp
      sectionName: http-primary
    - group: gateway.networking.k8s.io
      kind: Gateway
      name: ghp
      sectionName: http-admin
    - group: gateway.networking.k8s.io
      kind: Gateway
      name: ghp
      sectionName: https-primary
    - group: gateway.networking.k8s.io
      kind: Gateway
      name: ghp
      sectionName: https-admin
  rules:
    - backendRefs:
        - group: ""
          kind: Service
          name: ghp
          port: 80
          weight: 1
      matches:
        - path:
            type: PathPrefix
            value: /
